PETSc version 3.17.4
Fix/Edit manual page

# DMGetFirstLabeledPoint

Find first labeled point p_o in odm such that the corresponding point p in dm has the specified height. Return p and the corresponding ds.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMGetFirstLabeledPoint(DM dm, DM odm, DMLabel label, PetscInt numIds, const PetscInt ids[], PetscInt height, PetscInt *point, PetscDS *ds)

### Input Parameters

dm - the DM odm - the enclosing DM label - label for DM domain, or NULL for whole domain numIds - the number of ids ids - An array of the label ids in sequence for the domain height - Height of target cells in DMPlex topology

### Output Parameters

point - the first labeled point ds - the ds corresponding to the first labeled point

### Level

developer

### Location

src/dm/impls/plex/plexproject.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages